Ubuntu

Change logs for “gst-plugins-good0.10” source package in Precise

  • gst-plugins-good0.10 (0.10.31-1ubuntu1.2) precise; urgency=low
    
      * debian/patches/0001-fix-v4l2_munmap.patch: Cherry-pick a commit from
        upstream to resolve an issue where applications freeze when using v4l2src.
        (LP: #1041432)
     -- Iain Lane <email address hidden>   Wed, 13 Feb 2013 12:52:25 +0000
  • gst-plugins-good0.10 (0.10.31-1ubuntu1.1) precise-proposed; urgency=low
    
      * debian/patches/git_ring_buffer_null_check.patch: segfault fix,
        thanks Erik Botö for backporting and testing the change (lp: #1068155)
     -- Sebastien Bacher <email address hidden>   Fri, 16 Nov 2012 12:51:49 +0100
  • gst-plugins-good0.10 (0.10.31-1ubuntu1) precise; urgency=low
    
      * Merge from Debian unstable.
    
    gst-plugins-good0.10 (0.10.31-1) unstable; urgency=low
    
      * New upstream release, "Faster":
        + debian/rules,
          debian/build-deps.in:
          - (Build-) depend on GStreamer core/base >= 0.10.36.
     -- Timo Aaltonen <email address hidden>   Wed, 22 Feb 2012 11:31:28 +0200
  • gst-plugins-good0.10 (0.10.30.3-1ubuntu1) precise; urgency=low
    
      * Merge from Debian experimental, remaining changes:
        - 04_move_farsight_plugins_to_good.patch
          Import autoconvert, dtmf, liveadder, rptmux from -plugins-bad
        - 05_move_shm_to_good.patch
          Import shm from -plugins-bad.
        - 07_move-camerabin.patch
          Import camerabin, camerabin2, jpegformat and basecamerabinsrc
          from -plugins-bad.
        - control*:
          * Drop dependency from gstreamer0.10-plugins-good on
            gstreamer0.10-gconf. It pulls gconf and gtk3 onto the Kubuntu cd.
          * Use Breaks instead of Conflicts.
          * Add a 'Pre-Depends: ${misc:Pre-Depends}' to the plugin package,
            since we're shipping shared libraries in the package that Debian
            isn't.
      * Update the patches by pulling new version of the code from
        -plugins-bad 0.10.22.3.
    
    gst-plugins-good0.10 (0.10.30.3-1) experimental; urgency=low
    
      * New upstream pre-release.
    
    gst-plugins-good0.10 (0.10.30.2-3) experimental; urgency=low
    
      * debian/control.in:
        + Build-depend on automake (>= 1.10), autoconf (>= 2.60) and
          libtool (>= 2.0) to make dh-autoreconf actually work.
     -- Timo Aaltonen <email address hidden>   Thu, 09 Feb 2012 16:44:53 +0200
  • gst-plugins-good0.10 (0.10.30.2-2ubuntu2) precise; urgency=low
    
      * Drop dependency from gstreamer0.10-plugins-good on gstreamer0.10-gconf.
        It pulls gconf and gtk3 onto the Kubuntu cd. ubuntu-desktop still depends
        on gstreamer0.10-gconf through gnome-media.
     -- Felix Geyer <email address hidden>   Thu, 15 Dec 2011 16:08:29 +0100
  • gst-plugins-good0.10 (0.10.30.2-2ubuntu1) precise; urgency=low
    
      * Merge from Debian experimental, remaining changes:
        - debian/patches/04_move_farsight_plugins_to_good.patch
          * move the farsight plugins into gst-plugins-good
        - debian/patches/05_move_shm_to_good.patch
          * Moved shm from -bad to -good
        - debian/patches/06_shm_fixes.patch
          * shm related fixes from upstream
        - debian/patches/07_move-camerabin.patch
          * Move jpegformat into gst-plugins-good for camerabin.
        - debian/control: always use versioned Breaks instead of versioned
          Conflicts.
      * Drop changes to autogenerated autotools files, since we're using
        dh-autoreconf.
      * Add a 'Pre-Depends: ${misc:Pre-Depends}' to the plugin package, since
        we're shipping shared libraries in the package that Debian isn't.
    
    gst-plugins-good0.10 (0.10.30.2-2) experimental; urgency=low
    
      * debian/control.in:
        + Depend on gstreamer0.10-pulseaudio | gstreamer0.10-audiosink
          instead of only depending on the virtual package.
    
    gst-plugins-good0.10 (0.10.30.2-1) experimental; urgency=low
    
      * New upstream pre-release:
        + debian/build-deps.in,
          debian/rules:
          - Build-depend on GStreamer core/base 0.10.35.2.
          - Build-depend on PulseAudio 1.0.
        + debian/patches/04_rtpgst722pay-compensate-for-clockrate.patch:
          - Dropped, merged upstream.
        + debian/patches/03_pulse-rank.patch:
          - Dropped, merged upstream.
        + debian/patches/99_ltmain_as-needed.patch:
          - Refreshed to apply cleanly again.
      * debian/control.in,
        debian/build-deps.in:
        + ACK NMU 0.10.30.2-2.1 and 0.10.30.2-2.2 (Closes: #646325, #633438).
        + Correctly change control file from the last two NMUs.
      * debian/build-deps.in,
        debian/compat,
        debian/control.in,
        debian/gstreamer-gconf.install,
        debian/gstreamer-plugins-good.install,
        debian/gstreamer-pulseaudio.install,
        debian/rules:
        + Transition package to multi arch (Closes: #647486).
          Patch taken from the Ubuntu package.
    
    gst-plugins-good0.10 (0.10.30-2.2) unstable; urgency=low
    
      * Non-maintainer upload.
      * Transition to libjpeg8 by build-depending against libjpeg-dev
        (instead of libjpeg62-dev), closes: #633438
     -- Steve Langasek <email address hidden>   Tue, 13 Dec 2011 12:04:21 -0800
  • gst-plugins-good0.10 (0.10.30-2.1ubuntu1) precise; urgency=low
    
      * Merged changes from debian unstable, remaining differences:
        - debian/patches/05_move_shm_to_good.patch
          * Moved shm from -bad to -good (LP: #739351)
        - debian/patches/06_shm_fixes.patch
          * shm related fixes from upstream
        - debian/patches/04_move_farsight_plugins_to_good.patch
          * move the farsight plugins into gst-plugins-good
        - debian/patches/07_move-camerabin.patch
          * Move jpegformat into gst-plugins-good for camerabin.
     -- Ken VanDine <email address hidden>   Fri, 09 Dec 2011 14:33:15 -0500
  • gst-plugins-good0.10 (0.10.30-1ubuntu7) oneiric; urgency=low
    
      * Bump breaks/replaces on gst-plugins-bad (LP: #831897).
     -- Evan Dandrea <email address hidden>   Wed, 24 Aug 2011 12:17:00 +0100